<?php

/*********************************************************************************/
/*     Copyright (C) Jean-Sbastien H. ( ED ) webmaster  Livebox-script.com      */
/*                                                                               */
/*     This program is free software; you can redistribute it and/or             */
/*     modify it under the terms of the GNU General Public License               */
/*     as published by the Free Software Foundation; either version 2            */
/*     of the License, or (at your option) any later version.                    */
/*                                                                               */    
/*     This program is distributed in the hope that it will be useful,           */
/*     but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */ 
/*     GNU General Public License for more details.                              */
/*                                                                               */
/*     You should have received a copy of the GNU General Public License         */ 
/*     along with this program; if not, write to the Free Software               */
/*     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA */
/*********************************************************************************/
/*                                                                               */
/*         Fichier log.php                                                       */
/*         Cr le 24 nov 2005                                                   */
/*         Derniere modification: 4 sept 2006 - v4.0.0.alpha-rev9                */
/*                                                                               */
/*                                                                               */
/*********************************************************************************/
//set_include_path('/www/uptime/');
error_reporting(E_ALL);

require('conf.php');

if ((isset($lang)) && file_exists($debug_path."lang/". $lang. ".php")) {
	require($debug_path."lang/". $lang. ".php");
} else {
	require("lang/fr.php");
}

// Prparation de la connexion SQL
if((isset($dbtype)) && file_exists($debug_path."libraries/SQL/". $dbtype. ".php")) {
		require($debug_path.'libraries/SQL/'.$dbtype.'.php');
		$SQL = new SQL($hote,$user,$pass,$dbname);
}
else exit('Impossible de Charger la connexion SQL');

if((isset($livebox)) && file_exists($debug_path."libraries/livebox/". ucfirst($livebox). ".php")) {
		require($debug_path.'libraries/livebox/'.ucfirst($livebox).'.php');
		$livebox = new Livebox($ipbox,$login,$passw);
}
else exit('Impossible de Charger la livebox');

$log = Array();
$log['uptime'] = $livebox->getUptime();
$log['time'] = mktime(date('H'),date('i'),00,date('m'),date('d'),date('Y'));
$log['day'] = mktime(00,00,00,date('m'),date('d'),date('Y'));
$log['ip'] = $livebox->getIP();
$log['voip'] = $livebox->GetVoIP();

$log['download'] = $livebox->getDownload();
$log['attainable_downstream'] = $livebox->getAttainableDownStream();
$log['marge'] = $livebox->getSNR();
$log['attenuation'] = $livebox->GetAttenuation();
$log['crc'] = $livebox->getCRC();
$log['crc_uncorr'] = $livebox->getCRC_UNCORR();

$log['upload'] = $livebox->getUpload();
$log['attainable_upstream'] = $livebox->getAttainableUpStream();
$log['snr_up'] = $livebox->getSNR_UP();
$log['attenuation_up'] = $livebox->GetAttenuation_UP();
$log['crc_up'] = $livebox->getCRC_UP();
$log['crc_uncorr_up'] = $livebox->getCRC_UNCORR_UP();

if($SQL->query($SQL->rq_doLog("log",$log)))
echo "Log Livebox: Enregistrement reussi";
else echo "Log Livebox: Echec";

?>
